GET /repos/{owner}/{repo}/git/trees/{tree_sha}

github.com:github-rest-api

Summary: Get a tree
Operation ID: git/get-tree
Auth: bearer_token
Description

Returns a single tree using the SHA1 value or ref name for that tree. If `truncated` is `true` in the response then the number of items in the `tree` array exceeded our maximum limit. If you need to fetch more items, use the non-recursive method of fetching trees, and fetch one sub-tree at a time. > [!NOTE] > The limit for the `tree` array is 100,000 entries with a maximum size of 7 MB when using the `recursive` parameter.

Parameters (4)

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

recursive (string, query, optional)

Setting this parameter to any value returns the objects or subtrees referenced by the tree specified in `:tree_sha`. For example, setting `recursive` to any of the following will enable returning objects or subtrees: `0`, `1`, `"true"`, and `"false"`. Omit this parameter to prevent recursively returning objects or subtrees.

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

tree_sha (string, path, required)

The SHA1 value or ref (branch or tag) name of the tree.

No probe data for this endpoint yet.